package com.ho.business.mapper;

import com.ho.business.entity.PageConfig;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author yy
 * @description 针对表【page_config】的数据库操作Mapper
 * @createDate 2023-08-08 14:08:50
 * @Entity entity.PageConfig
 */
@Mapper
public interface PageConfigMapper {

    int addBatch(@Param("list") List<PageConfig> configList);

    List<PageConfig> selectPage(@Param("pageConfig") PageConfig vo);

    int deleteBatch(@Param("ids") List<Integer> ids);

    int deleteStationId(@Param("stationId") Integer stationId);
}




